Kerbal Space Program - Bug #25809

Decoupled Craft Fly Through Their Fairings
07/19/2020 03:05 AM - klesh

Status: Not Fixed Start date: 07/18/2020
Severity: Low % Done: 50%
Assignee:

Category: Parts

Target version: 1.11.0
Platform: Windows Mod Related: No
Expansion: Core Game

Description

| came across this by chance, and after some figuring have found it reproducible.

Problem: Under certain conditions, you can decouple a craft inside a fairing, and it can fly through the still-closed fairing. One would
not expect this to happen.

Reproduce:

1. Create the craft shown, or any simple propulsive craft.

2. Place decoupler under engine, it can be on its own stage or that of the engine.

3. Place fairing base under decoupler, build fairing around craft and close the fairing around the craft itself.

4. Launch craft. Decouple craft without deploying fairing. You can now throttle up and fly through the fairing that visually should be
confining the ship.

This bug will not happen if you close the fairing normally on itself; you cannot fly though the fairing.

History

#2 - 12/17/2020 08:56 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.11.0

- % Done changed from 0 to 80

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.

#3 - 12/17/2020 11:45 PM - klesh
- File Flythrough.png added

victorr wrote:

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.

I've just tested this again and see no change in behaviour. | can still fly though the too-small-for-the-rest-of-the-ship hole where the fairing closed
near the top part my craft. | can also cut throttle and fall back inside the fairing through the same too-small hole. Attempting to fly through when the
fairing is closed around the craft and closed to itself, the craft explodes as expected, as it did before.

#4 - 12/17/2020 11:46 PM - klesh
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

forgot to switch to not fixed.
